Name:          broadcom-firmware
Version:       20130917
Release:       2mamba
Summary:       Broadcom firmware for various Bluetooth and Wireless chips
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.broadcom.com/support/
Source:        broadcom-firmware-%{version}.tar.xz
License:       Proprietary
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Broadcom firmware for various Bluetooth and Wireless chips.

%prep
%setup -q

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d -m0755 %{buildroot}

cp -a * %{buildroot}/

# provided by linux-firmware 20130917
rm -f %{buildroot}/lib/firmware/brcm/bcm43xx-0.fw
rm -f %{buildroot}/lib/firmware/brcm/bcm43xx_hdr-0.fw

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/modprobe.d/dhd.conf
/lib/firmware/BCM4329B1.hcd
/lib/firmware/bcm4329.hcd
/lib/firmware/bcm4334.hcd
%dir /lib/firmware/brcm
/lib/firmware/brcm/*
%dir /lib/firmware/bcmdhd
/lib/firmware/bcmdhd/*

%changelog
* Sun Sep 22 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 20130917-2mamba
- remove bcm43xx firmware files provided by linux-firmware since 20130917

* Tue Sep 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 20130917-1mamba
- update to 20130917:
  added "alias platform:bcmdhd_wlan dhd" to autoload dhd module on SGN


* Mon Jul 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 20130729-1mamba
- package created by silvan using the webbuild interface
